Part Prism/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Obiekt ten ma takie same właściwości dołączania jak Part: Part2DObject.")
(Created page with "{{TitleProperty|Graniastosłup}}")
Line 51: Line 51:
Obiekt ten ma takie same właściwości dołączania jak [[Part_Part2DObject/pl#Dane|Part: Part2DObject]].
Obiekt ten ma takie same właściwości dołączania jak [[Part_Part2DObject/pl#Dane|Part: Part2DObject]].


{{TitleProperty|Prism}}
{{TitleProperty|Graniastosłup}}


* {{PropertyData|Polygon|IntegerConstraint}}: The number of sides of the polygon. The default is {{Value|6}}.
* {{PropertyData|Polygon|IntegerConstraint}}: The number of sides of the polygon. The default is {{Value|6}}.

Revision as of 17:01, 23 June 2023

Część: Graniastosłup

Lokalizacja w menu
Część → Utwórz geometrie pierwotne → Graniastosłup
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Opis

Graniastosłup środowiska praczy Część to parametryczna bryła, którą można utworzyć za pomocą polecenia Utwórz geometrię pierwotną. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie, osie elipsoidy są wyrównane z osiami X, Y i Z, a zatem jej środek znajduje się w punkcie początkowym.

Użycie

Zobacz stronę Geometrie pierwotne.

Przykład

Graniastosłup środowiska pracy Część na przykładzie skryptu

Poniżej pokazano obiekt Graniastosłup utworzony za pomocą przykładowego skryptu.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Graniastosłup wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Dołączenie

Obiekt ten ma takie same właściwości dołączania jak Part: Part2DObject.

Graniastosłup

  • DANEPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DANECircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.
  • DANEHeight (Length): The height of the prism. The default is 10mm.
  • DANEFirst Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is .
  • DANESecond Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is .

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()